Bug 1125387

Summary: --cachonly/-C breaks on file:// repositories
Product: [Fedora] Fedora Reporter: Benedikt Morbach <bmorbach>
Component: yumAssignee: Valentina Mukhamedzhanova <vmukhame>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: admiller, ira, rvokal, vmukhame
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-30 01:29:44 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Benedikt Morbach 2014-07-31 17:52:43 UTC
This is with yum 3.4.3-152.fc20

packages from local repositories which use file:///foo/... as baseurl are not cached by yum, even with keepcache=1.
That is fine, as those are already available locally.

however, it breaks if -C is passed, as yum then only looks at the cache and not the local repo.

Output:
foo-1-1.fc20.x86_64: Caching enabled but no local cache of /var/cache/yum/x86_64/20/repo_test/packages/foo-1-1.fc20.x86_64.rpm from repo_test


yum should either also cache local rpms or allow those to be used with --cacheonly

Comment 2 Valentina Mukhamedzhanova 2014-10-14 18:48:33 UTC
Upstream commit - http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=f34729073925c19c653e30e13803b5e21631d0e4

Comment 3 Valentina Mukhamedzhanova 2014-10-14 18:49:29 UTC
*** Bug 1135518 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2015-05-29 12:31:51 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-30 01:29:44 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.